[INCLUDE]
DoEventsEx_IsTickCountElapsed
DoEventsEx_Sleep

[CODE]
Public Sub DoEventsEx_SleepPeriodical()
  Static xLong1 As Long
  
  If DoEventsEx_IsTickCountElapsed(xLong1, DoEventsEx_SleepPeriodical_Interval) Then
    DoEventsEx_Sleep SleepValueLow
    xLong1 = GetTickCount And &H3FFFFFFF
    End If
  End Sub
